import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./header.stories";

<Meta of={ComponentStories} name="Docs" />

# Header

TRUMPF Header with Logo, Main Navigation, Sub Navigation, Meta Navigation and Toolbox.

**When changing the controls in the separate header stories, please keep in mind that you may have to reload the page to display the updated story correctly.**

## Light Header

Light Header with Logo, Main Navigation, Meta Navigation and Eyecatcher.

The header component works for the TRUMPF website and MyTRUMPF platform. To display the respective styling use the `type` property which can be either `trumpf` or `mytrumpf`. To simulate the behavior of the header in a website context, this story also includes an outer wrapper `#pageWrapper` and a content section `.ux-iws-nav-blur-page` that work the same way as on the TRUMPF live website.
To use the header component you only need the `<ux-iws-header>` part.

Note for TYPO3 implementation: The class `ux-iws-nav-blur-page` should be added to the main content section.

<Canvas of={ComponentStories.HeaderLight}></Canvas>

## MyTrumpf Header

<Canvas of={ComponentStories.HeaderMyTrumpf}></Canvas>

## Website Header

<Canvas of={ComponentStories.HeaderWebsite}></Canvas>

## Developer Documentation

<Controls />
